/// <reference types="node" />
import { ParsedUrlQueryInput } from 'querystring';
import { BaseEndpoint } from './base';
import { Changes } from '../types/changes';
export interface ChangeOptions extends ParsedUrlQueryInput {
    end_date?: string;
    start_date?: string;
    page?: number;
}
export declare class ChangeEndpoint extends BaseEndpoint {
    protected readonly accessToken: string;
    constructor(accessToken: string);
    movies(options?: ChangeOptions): Promise<Changes>;
    tvShows(options?: ChangeOptions): Promise<Changes>;
    person(options?: ChangeOptions): Promise<Changes>;
}
