import { BaseEndpoint } from './base';
import { AlternativeTitles, Credits, Images, Keywords, LatestMovie, MovieChanges, MovieDetails, MovieLists, MovieRecommendations, MovieReviews, MoviesPlayingNow, MovieTranslations, PopularMovies, ReleaseDates, SimilarMovies, TopRatedMovies, UpcomingMovies, Videos } from '../types/movie';
import { ExternalIds } from '../types';
import { WatchProviders } from '../types/watch-providers';
import { ChangeOptions } from './changes';
export declare class MoviesEndpoint extends BaseEndpoint {
    protected readonly accessToken: string;
    constructor(accessToken: string);
    details(id: number): Promise<MovieDetails>;
    alternativeTitles(id: number): Promise<AlternativeTitles>;
    changes(id: number, options?: ChangeOptions): Promise<MovieChanges>;
    credits(id: number): Promise<Credits>;
    externalIds(id: number): Promise<ExternalIds>;
    images(id: number): Promise<Images>;
    keywords(id: number): Promise<Keywords>;
    lists(id: number, options?: {
        page?: number;
    }): Promise<MovieLists>;
    recommendations(id: number, options?: {
        page?: number;
    }): Promise<MovieRecommendations>;
    releaseDates(id: number): Promise<ReleaseDates>;
    reviews(id: number, options?: {
        page?: number;
    }): Promise<MovieReviews>;
    similar(id: number, options?: {
        page?: number;
    }): Promise<SimilarMovies>;
    translations(id: number): Promise<MovieTranslations>;
    videos(id: number): Promise<Videos>;
    /**
     * Powered by JustWatch
     * @param id
     */
    watchProviders(id: number): Promise<WatchProviders>;
    latest(): Promise<LatestMovie>;
    nowPlaying(options?: {
        page?: number;
        region?: string;
    }): Promise<MoviesPlayingNow>;
    popular(options?: {
        page?: number;
    }): Promise<PopularMovies>;
    topRated(options?: {
        page?: number;
        region?: string;
    }): Promise<TopRatedMovies>;
    upcoming(options?: {
        page?: number;
        region?: string;
    }): Promise<UpcomingMovies>;
}
